%define upstream_name    Dancer
%define upstream_version 1.3030

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Template Toolkit wrapper for Dancer
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTTP::Body) >= 1.70.0
BuildRequires: perl(HTTP::Server::Simple::PSGI) >= 0.110.0
BuildRequires: perl(LWP)
BuildRequires: perl(MIME::Types)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(URI)
BuildArch:  noarch

%description
Dancer is a web application framework designed to be as effortless as
possible for the developer, taking care of the boring bits as easily as
possible, yet staying out of your way and letting you get on with writing
your code.

Dancer aims to provide the simplest way for writing web applications, and
offers the flexibility to scale between a very simple lightweight web
service consisting of a few lines of code in a single file, all the way up
to a more complex fully-fledged web application with session support,
templates for views and layouts, etc.

If you don't want to write CGI scripts by hand, and find Catalyst too big
or cumbersome for your project, Dancer is what you need.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc AUTHORS CHANGES LICENSE META.yml README TODO examples
%{_bindir}/dancer
%{_mandir}/man1/dancer.1*
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Apr 15 2011 jquelin <jquelin> 1.303.0-1.mga1
+ Revision: 85672
- update to 1.3030

* Thu Mar 24 2011 jquelin <jquelin> 1.302.0-1.mga1
+ Revision: 76623
- update to 1.3020

* Tue Mar 08 2011 jquelin <jquelin> 1.301.400-1.mga1
+ Revision: 66608
- update to 1.3014

* Wed Feb 16 2011 jquelin <jquelin> 1.301.100-1.mga1
+ Revision: 52440
- update to 1.3011

* Mon Jan 24 2011 jquelin <jquelin> 1.200.300-2.mga1
+ Revision: 36871
- rebuild

* Sun Jan 23 2011 jquelin <jquelin> 1.200.300-1.mga1
+ Revision: 33682
- mageia rebuild
- imported package perl-Dancer


* Thu Dec 23 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.200.300-1mdv2011.0
+ Revision: 624079
- update to new version 1.2003

* Sun Nov 14 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.190.400-1mdv2011.0
+ Revision: 597575
- update to new version 1.1904

* Sat Oct 16 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.190.100-1mdv2011.0
+ Revision: 586104
- import perl-Dancer

